Debian Bug report logs - #719624
ITA: xrdp -- Remote Desktop Protocol (RDP) server

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Bernat <bernat@debian.org>

Date: Tue, 13 Aug 2013 17:48:01 UTC

Owned by: ecliptik@gmail.com

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719624; Package wnpp. (Tue, 13 Aug 2013 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 13 Aug 2013 17:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: xrdp
Date: Tue, 13 Aug 2013 19:45:52 +0200
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi!

I am requesting an adopter for xrdp, a X11 RDP server. I have lost
interest in it and the package needs some work. It is currently in
collab-maint and there are some bits not uploaded to the archive yet.

Some random points to know:

 1. XRDP comes with a X11 RDP server. Unlike most drivers, it still
    needs to be compiled inside a complete X11 tree. This would be
    quite interesting to get this into Debian.

 2. Upstream is not unhelpful but is unwilling to release
    tarballs. xrdp 0.7.0 sits in a branch of the git tree but there is
    no tag. Despite several requests, we still don't have either a tag
    or a tarball. This already happened with 0.5. This is the main
    reason I have not tried to package 0.7.0 yet.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSCnDLAAoJEJWkL+g1NSX5aUkP/3O3JN3lPjR8nSwLlPplmEMT
MUfV6L1J4qwUNcZ3t4Y+quWKnqDwiL9SPJhaeztoI1B8/5bkP7stP8z4nFERPdCS
kiAizfyvkUVXYJOpugVTT+W39gHtVQ8iVy8+AaTolcV1tUpv/GG3AgYStcPPKF9X
TV4z2VgEAxA8Gi/QDvYK9Z5Tnkz5Qd1Z7jiLSbfsp+/+GawABqyH1IbNFDIY4WgU
loEtxM781hz4Atzvz8KdHpQP4LejC09YxI84dCL02FVabHQj8TE7T587XMKx/feV
TfEpG7IeEx0A8lQ0dvfa7wDN4kPHRHTr+XX79kp+GBq0cb3LxEioCaMgPla3svr7
M0403bJ4if1kHa3GiYIXRXC+PCB+Mw3em5Y1HCh23Vvh0CIU7WPw4nzI39PIIDNo
IA35swcoZ1ZWVONacnu0M3xmuEHfSdupuiqcJ78qD9UfY/ba4xJML0y0fa0F5BBJ
jyUOZBOd0QF2Nr8AsrT1sokKSoAD0idc11/HZexWXqC6Sa9wdd3sL6qM5mJVoU+h
5BDg/j2db50K5z0N10gtrDR4VVw/v7+IS9MVqZQ4nNVcM5hdrLXV8jLH72/4gpLF
M7aDmlwmMon9jUWavkPNf3dTiGwmzm+HzH9y3cRs3FV+MPuIM6R08iuF67jVuV9B
hnoN76uBTeOBPRs2AOGe
=thPk
-----END PGP SIGNATURE-----



Changed Bug title to 'RFA: xrdp -- Remote Desktop Protocol (RDP) server' from 'RFA: xrdp' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 26 Dec 2013 11:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719624; Package wnpp. (Wed, 05 Feb 2014 23:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micheal Waltz <ecliptik@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Feb 2014 23:48:08 GMT) Full text and rfc822 format available.

Message #12 received at 719624@bugs.debian.org (full text, mbox):

From: Micheal Waltz <ecliptik@gmail.com>
To: 719624@bugs.debian.org
Subject: RFA: xrdp
Date: Wed, 5 Feb 2014 15:44:50 -0800
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Vincent,

I would like to become a Debian Maintainer and am looking for a
mentor/sponsor to help me with building packages and maintaining packages
for Debian. I've built a few Debian packages at work and have experience,
but unfortunately none of it is open source.

Since we use xrdp frequently on many of our users machines, I believe
maintaining the xrdp package would be a good place to start and allow me to
have the time to maintain it.

Please let me know if this package is still up for adoption and if so what
the next steps are, thank you.

Micheal Waltz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJS8syHAAoJEHHagNkrz48aNOgQAJGUVrpfW+739piXMRLcgpg1
yoF1fovC9gJG6R6W9R904B1AqU3xvqJBfvVjeGSYTl2zC7UKEy0Hm4gVUraVF3V7
Ns3ykkgt1hXiDDSUMIZsQR7BM1p497VWGLpWtA04tBBURLlE7dyJM4EL1toNmvmV
R+gcnHDD963hXYKlNatxTeTu9vgfM4hHd20OoBrGBW505/g8aucP16TqSY4OWr81
b1yd9Zl7k1kEQv9OCJCoqNOUcO+Dfk1fPBU8qw8K0J0g61nl460Akxd4tzUM5/HE
MT4STD42gLJSP+CCF8HkEbM+rdphIIXn3AMypVS+cOYvhhFzeF6tfUQnlkHOTK9x
stN35dGsGzzjREWB2lAyiBNPIhHFt1A1x7vpDNYL4Po4XijAiOm33r0J5zZy6Mmf
I5wYhQy7hY6LX00dWhK8Jf337maAjPxB/JM7prSeTK9kMLHzSEqHPa4PnthMYu9E
cbJteNiKusOYjUZuBV217aOFnAiVgrco+MourTb+weLRHqBjiS0wd2APDCfP5OSG
TclI/y68MDtoOUqiEh2ajxFJkRQPg9Gi4//cmN0nwyn0cdGmIlipJFFpgsn5/Y7s
jNyIi+KZ82HSPQTT0GHxIMvnoyNjP2pCq+yajV0J7Wp3eZK8IjVj/5oxsSWNFaZ4
sXy7TER77PHBskuRncNU
=NiHD
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITA: xrdp -- Remote Desktop Protocol (RDP) server' from 'RFA: xrdp -- Remote Desktop Protocol (RDP) server' Request was from Micheal Waltz <ecliptik@gmail.com> to control@bugs.debian.org. (Thu, 06 Feb 2014 01:03:04 GMT) Full text and rfc822 format available.

Owner recorded as ecliptik@gmail.com. Request was from Micheal Waltz <ecliptik@gmail.com> to control@bugs.debian.org. (Thu, 06 Feb 2014 01:03:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 719624: 738282 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 09 Feb 2014 04:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ecliptik@gmail.com:
Bug#719624; Package wnpp. (Mon, 10 Feb 2014 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ecliptik@gmail.com. (Mon, 10 Feb 2014 09:51:04 GMT) Full text and rfc822 format available.

Message #23 received at 719624@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Micheal Waltz <ecliptik@gmail.com>
Cc: 719624@bugs.debian.org
Subject: Re: Bug#719624: RFA: xrdp
Date: Mon, 10 Feb 2014 10:49:09 +0100
[Message part 1 (text/plain, inline)]
 ❦  6 février 2014 00:44 CET, Micheal Waltz <ecliptik@gmail.com> :

> I would like to become a Debian Maintainer and am looking for a
> mentor/sponsor to help me with building packages and maintaining
> packages for Debian. I've built a few Debian packages at work and have
> experience, but unfortunately none of it is open source.
>
> Since we use xrdp frequently on many of our users machines, I believe
> maintaining the xrdp package would be a good place to start and allow
> me to have the time to maintain it.
>
> Please let me know if this package is still up for adoption and if so
> what the next steps are, thank you.

Hi Michael!

For some reason, I didn't see your ITA. Yes, xrdp is still available for
adoption. Since there was some pending work in my git tree, I have
pushed a last upload (including 0.6.1 upstream version). Feel free to
contact me directly once you get a package to sponsor.
-- 
panic("sun_82072_fd_inb: How did I get here?");
        2.2.16 /usr/src/linux/include/asm-sparc/floppy.h
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ecliptik@gmail.com:
Bug#719624; Package wnpp. (Mon, 10 Feb 2014 16:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micheal Waltz <ecliptik@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ecliptik@gmail.com. (Mon, 10 Feb 2014 16:51:07 GMT) Full text and rfc822 format available.

Message #28 received at 719624@bugs.debian.org (full text, mbox):

From: Micheal Waltz <ecliptik@gmail.com>
To: Vincent Bernat <bernat@debian.org>
Cc: 719624@bugs.debian.org
Subject: Re: Bug#719624: RFA: xrdp
Date: Mon, 10 Feb 2014 08:47:19 -0800
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On Mon, Feb 10, 2014 at 1:49 AM, Vincent Bernat <bernat@debian.org> wrote:
> Hi Michael!
>
> For some reason, I didn't see your ITA. Yes, xrdp is still available for
> adoption. Since there was some pending work in my git tree, I have
> pushed a last upload (including 0.6.1 upstream version). Feel free to
> contact me directly once you get a package to sponsor.

Hello Vincent,

Thank you for responding on the ITA request, and I spent some of the
weekend working with the package and uploading new build of the
package to mentors.debian.net for RFS. I did receive a response from
Vincent Cheng (vcheng@debian.org) requesting a few changes to it,
which I was going to do today -
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=738282

However it seems when 0.6.1 was pushed last night, mentors
automatically saw the upload to the official repos and removed it from
mentors.debian.net.

What's the best next steps here for me to continue to work on the
package? I'd like to work on getting the 0.7.0 upstream version
packaged, close a few of the outstanding bugs, and update a few of the
packaging controls such as a newer Standards Version and debhelper
versions.

I'd like to use the VCS anonscm site, and while I am familiar with
git, I'm not familiar with using the anonscm site for packaging.

Thank you and have a great day,

Micheal Waltz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJS+QJCAAoJEHHagNkrz48aQP8QAK/15RyDMSeIg1n2WZjUFUtm
ICBQJtJhDrtcIaeRgaTBdETcGl6wDrnEG3FYgVFl9i5deHMrerUhXLgBJazKXm1Q
pJWtSIWR+10SvaM7s6w/ECYcrS3W3ZO2ueGjRFlex+kjfSDf9MeX/R6HYgS6Znmv
R3XUVM7rCTT8K7GOMqyLi1jkFV1iF/1/Eu4CnS91X4XDlKyiRlrSwq4A0JExDzVe
RD6G/Sio28Wt9Xz5IzYtJvPA26VLPUndhTfw4T7Pf+pRa5TssSBdFZvuO/0j/7zY
ZuSAjoS9oa3KwRlpUc8NTInaVfr/3wGNeF909R8BPwwr6Idwuseso5KcZ+7A9wuD
8VQxHU7cRpwJlBx3eUlwu+mFzHttlFWBzoVXV9el1zgzi8u4PgwmsV4qETKEY9dN
Yto/j09I7gK/j6W+cx7Ko6e9sS8xF/bzwkvd053IM5AsEaC76mmzIoPaytl0lFm2
NQ3MkjJe3p24Ha2Nqr4T1jwEKZ7rzDAqFHakEQ/WP+ZJ95o7rs0NnNPM4f0M6+oc
vJFEpbrzXSCvOZ4rSv6kORjruqnqGgf5avKBfuBrGq44j9AUFDMxEnl9sHUApm9J
XNxtJeBQ4wFpbrM/cceCh1x4S++I+9kNWYcZh09ICX3b7yKCQU4dPS+Y2fOcjEKu
EtaY/bXJCXlHeegiwEBm
=ggt6
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ecliptik@gmail.com:
Bug#719624; Package wnpp. (Mon, 10 Feb 2014 20:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ecliptik@gmail.com. (Mon, 10 Feb 2014 20:57:13 GMT) Full text and rfc822 format available.

Message #33 received at 719624@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Micheal Waltz <ecliptik@gmail.com>
Cc: 719624@bugs.debian.org
Subject: Re: Bug#738282: RFS: xrdp/0.6.1-2 [ITA]
Date: Mon, 10 Feb 2014 12:53:37 -0800
On Mon, Feb 10, 2014 at 8:58 AM, Micheal Waltz <ecliptik@gmail.com> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
>
> On Sun, Feb 9, 2014 at 1:10 AM, Vincent Cheng <vcheng@debian.org> wrote:
>> Control: tag -1 moreinfo
>>
>> On Sat, Feb 8, 2014 at 1:34 PM, Micheal Waltz <ecliptik@gmail.com> wrote:
>>> Package: sponsorship-requests
>>> Severity: normal
>>>
>>> Dear mentors,
>>>
>>> I am looking for a sponsor for my package "xrdp":
>>>
>>> * Package name    : xrdp
>>>   Version         : 0.6.1-2
>>>   Upstream Author : Jay Sorg
>>> * URL             : http://www.xrdp.org/
>>> * License         : GPL-2+, other, PD, MIT
>>>   Section         : net
>>>
>>> It builds those binary packages:
>>>
>>>  xrdp - Remote Desktop Protocol (RDP) server
>>>
>>> To access further information about this package, please visit the
>>> following URL:
>>>
>>>  http://mentors.debian.net/package/xrdp
>>>
>>> Alternatively, one can download the package with dget using this command:
>>>
>>>  dget -x http://mentors.debian.net/debian/pool/main/x/xrdp/xrdp_0.6.1-2.dsc
>>>
>>> More information about xrdp can be obtained from http://www.xrdp.org
>>>
>>> Changes since the last upload:
>>>
>>>  0.6.1-2
>>>   * Remove patch 01reuse-session.patch (Closes: #710007)
>>>   * Switch to debhelper 9.
>>>   * set -e in body of postinst script
>>>  0.6.1-1
>>>   * New Maintainer (Closes: #719624)
>>>   * New upstream version (Closes: #735678)
>>>   * Bump standards version
>>
>> Please merge both of these changelog entries into a single entry.
>>
>> Also, the source tarball and the .dsc file that you've uploaded to
>> mentors.debian.net don't match one another:
>>
>> $ dpkg-source -x xrdp_0.6.1-2.dsc
>> dpkg-source: error: file ./xrdp_0.6.1.orig.tar.gz has size 1570266
>> instead of expected 1570168
>>
>> Your .dsc says that your source tarball has the following sha1sum hash and size:
>> 04ccace3f69bf92769d5cc89428d0c4f597cdb1d 1570168 xrdp_0.6.1.orig.tar.gz
>>
>> However...
>> $ sha1sum xrdp_0.6.1.orig.tar.gz
>> 14ce17c92c103c2f87e12b7111e3718a70e25680  xrdp_0.6.1.orig.tar.gz
>>
>> Regards,
>> Vincent
>
> Vincent,
>
> Thank you for looking at my RFS for the xrdp package. I was going to
> work on the changes mentioned above and re-upload, however last night
> the original maintainer of the package contacted me regarding the ITA
> request.
>
> He pushed the 0.6.1 update into the official repositories, which I
> believe triggered mentors.debian.net to see the official repository
> update and automatically remove the xrdp uploads I did to mentors.
>
> I've contacted him directly regarding next steps for continuing the
> ITA. Are there additional steps I should take regarding the closure of
> this RFS request?

It looks like bartm has already closed your RFS bug, so no need to
worry about it. You can of course reopen the bug yourself, but now
that you have the maintainer's attention, that probably won't be
necessary.

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ecliptik@gmail.com:
Bug#719624; Package wnpp. (Thu, 13 Feb 2014 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ecliptik@gmail.com. (Thu, 13 Feb 2014 00:33:04 GMT) Full text and rfc822 format available.

Message #38 received at 719624@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Micheal Waltz <ecliptik@gmail.com>
Cc: 719624@bugs.debian.org
Subject: Re: Bug#719624: RFA: xrdp
Date: Thu, 13 Feb 2014 01:29:11 +0100
[Message part 1 (text/plain, inline)]
 ❦ 10 février 2014 17:47 CET, Micheal Waltz <ecliptik@gmail.com> :

> What's the best next steps here for me to continue to work on the
> package? I'd like to work on getting the 0.7.0 upstream version
> packaged, close a few of the outstanding bugs, and update a few of the
> packaging controls such as a newer Standards Version and debhelper
> versions.
>
> I'd like to use the VCS anonscm site, and while I am familiar with
> git, I'm not familiar with using the anonscm site for packaging.

The next step will be to give you access to anonscm. I don't remember if
it's easy. Otherwise, we can move it elsewhere.

I did not package 0.7.0 because there is no 0.7.0. There is a branch
with sporadic updates but upstream does not make a formal release. It is
one of the main reason for me to orphan xrdp: upstream doesn't want to
do proper releases. He doesn't care and I find this painful. I don't
mind if you try to package 0.7.0, but you need to account for the fact
that you will package a git snapshot and if it happens to be included in
Jessie, you will have to ensure proper security support (cherry-picking
patches to a version that upstream may or may not support). For previous
releases, I don't remember any difficulty in that, but nonetheless.

The other task is x11rdp. It needs the whole X11 source to compile. This
is not something that we usually want to do in Debian. Maybe there has
been progress to allow one to compile x11rdp as a regular driver (with
just X11 headers installed) but I didn't check.
-- 
printk("MASQUERADE: No route: Rusty's brain broke!\n");
        2.4.3. linux/net/ipv4/netfilter/ipt_MASQUERADE.c
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:24:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.